#version 330 core

layout (location=0) in vec3 position;
layout (location=1) in vec2 uv;
//layout (location=2) in vec3 normal;

//out vec3 worldNormal;
out vec2 fUVs;

uniform mat4 projectionMatrix;
uniform mat4 modelMatrix;

void main() 
{
	fUVs = uv;
	//worldNormal = (modelMatrix * vec4(normal, 0)).xyz;
	gl_Position = projectionMatrix * modelMatrix * vec4(position, 1);
}