#version 410 core                                                                               
	   
// adapted from http://ogldev.atspace.co.uk/www/tutorial30/tutorial30.html
// http://prideout.net/blog/?p=48
// http://in2gpu.com/2014/07/12/tessellation-tutorial-opengl-4-3/
	   
layout (location = 0) in vec3 position;                                                   
layout (location = 1) in vec2 uv;                                                   
layout (location = 2) in vec3 normal;                                                     
																								
uniform mat4 modelViewMatrix;                                                                         
																								
out vec3 WorldPos_CS_in;                                                                        
out vec2 TexCoord_CS_in;                                                                        
out vec3 Normal_CS_in;                                                                          
																								
void main()                                                                                     
{                                                                                               
	WorldPos_CS_in = (modelViewMatrix * vec4(position, 1.0)).xyz;                                  
	TexCoord_CS_in = uv;                                                            
	Normal_CS_in   = (modelViewMatrix * vec4(normal, 0.0)).xyz; //                                   
}
