#version 330 core

layout (location=0) in vec3 position;
layout (location=1) in vec2 uv;

out vec2 fragTexCoords;

uniform mat4 mvpMatrix;

void main() 
{
	fragTexCoords = uv;
	gl_Position = mvpMatrix * vec4(position, 1);
}