#version 330                                                                         
                                                                                     
in vec2 TexCoord; 
in vec4 position;  
in vec3 normal; 
in vec3 fragColorOutOut;  

layout (location = 0) out vec4 gPosition;
layout (location = 1) out vec3 gNormal;
layout (location = 2) out vec4 gAlbedo;  

uniform sampler2D gColorMap;        
                                                          
                                                                      
void main()                                                                          
{        
	gPosition = position;
	vec4 tex = texture2D(gColorMap, TexCoord).xyza;
	gAlbedo = vec4(fragColorOutOut, tex.a);
	gNormal = normalize(normal);
                                                                            
}