#version 400 core

in vec4 FragPosWorld;

uniform vec3 lightPos;

uniform vec2 near_far = vec2(0.01, 50.0);

out float fragDepth;

void main()
{
    // get distance between fragment and light source
    float lightDistance = length(FragPosWorld.xyz - lightPos);
    
    // map to [0;1] range by dividing by far_plane
	lightDistance = lightDistance / 50.0;
	
    gl_FragDepth = lightDistance;

}  